import java.io.File
/* A file for testing out your code manually. 
Run it with mvn compile exec:java from the top level of the project.
You won't be submitting this file.
*/
fun main() {

    // Feel free to change these to the smaller files for testing
    val performerFile = "src/main/resources/performer-names.tsv"
    val titleFile = "src/main/resources/movie-titles.tsv"
    val performanceFile = "src/main/resources/performances.tsv"

    val graph = IMDBGraph(performerFile = performerFile,
                          movieFile = titleFile,
                          performanceFile = performanceFile)


    val performers = graph.connectedPerformers("nm0026511", 2)
    val performerNames = mutableListOf<String>() 
    for (performer in performers) {
        // This makes it a little easier to trouble shoot
        performerNames.add(graph.idToName(performer))
    }
    println("Count: " + performers.size)
    //println("Connected to: " + performerNames.joinToString(", "))
    println("Connected to Tomas Bolme, should be true: " + performerNames.contains("Tomas Bolme"))

    println(graph.shortestPath("nm8334525", "nm7994460").count())

}
